5ちゃんねる ★スマホ版★ ■掲示板に戻る■ 全部 1- 最新50  

■ このスレッドは過去ログ倉庫に格納されています

    サーバー管理者になりたい    

1 :名無し:02/02/15 18:08
まず何から「はじめればよいのでしょうか?
右も左もわかりません。宜しくお願いします。
  
*鯖ではなくサーバーですので。



2 :名無しさん@お腹いっぱい。:02/02/15 18:13
>>1
まず、右と左がわかるようになってからにしようね。

3 :名無しさん@お腹いっぱい。:02/02/15 18:13
とりあえず大学の情報工学科とか目指せば?

4 :zzz:02/02/15 18:26
究極の裏情報!!!MXで集めました!!!
http://www.tcnweb.ne.jp/~kasimasu/

5 :名無しさん@お腹いっぱい。:02/02/15 21:05
首吊った?
吊らなきゃだめだよ、鯖管はまず首を吊ることが最初の作業だからね。

6 :  :02/02/15 22:23
鯖管なんてやめたほうがいい。
ストレスで5みたいなキチガイになるだけ。


7 :ちょっき ◆4ulkWfo6 :02/02/16 13:45
Apacheは設定とか初心者だと難しいから、AN HTTPDとか、ActivePerlとかで
やってみて、あとは自分で将来を考えてみる。とか

8 :名無しさん@お腹いっぱい。:02/02/16 14:11
>>7
Apache AN HTTPD ActivePerl
この並列は可笑しいと思わないかい?

9 :名無しさん@お腹いっぱい。:02/02/16 14:16
>>7
プ

>>8
ハゲシクワラタ

>>1
取りあえずMac買え

10 :名無しさん@お腹いっぱい。:02/02/16 14:38
>>9
OS9 とか買っちゃったらどうすんだよー

11 :名無しさん@お腹いっぱい。:02/02/16 15:56
>>10
もう売ってねーよ

12 :名無しさん@お腹いっぱい。:02/02/16 17:26
>>1
レンタルサーバ会社の web 見て、人材募集してるところがあれば
飛び込んでみればいいじゃん。
そんなにスキル要らなさそうだし

13 :名無しさん@お腹いっぱい。:02/02/16 17:33
>>11
中古でも売ってないのかと、小一時間問い詰める

14 :名無しさん@お腹いっぱい。:02/02/16 18:24
>>13
何言ってんだよ。OS9の販売は
パソコン販売禁止法で全面的に禁止にされてるじゃないか。

15 :クニワケフトカズ:02/02/16 18:31
パソコン販売禁止法って何だい

16 : :02/02/16 18:37
goodbreeze

17 :名無しさん@お腹いっぱい。:02/02/16 18:48
グッドブリーズ

18 :名無しさん@お腹いっぱい。:02/02/16 19:12
>>14はこのスレが冷えてしまった責任を取って首吊れ

19 :名無しさん@お腹いっぱい。:02/02/16 19:15
>>18
ウンコあげるから許してね♪

20 :14:02/02/16 19:28
>>18
元から糞スレだったんだから別にいいじゃねーか。
俺の>>14での発言の為にこのスレが早く終了してくれれば
その分2ちゃんの転送量も減少して、正に万々歳じゃねえか。

21 :名無しさん@お腹いっぱい。:02/02/17 00:34
じゃあ、スレの趣旨変えよう。
もったいないしね。

CGI可能で広告がない(もしくはPOP)で、海外鯖という条件の無料鯖を探す企画スタート。
軽くないと没。
ハイパの裏登録でも可

22 :名無しさん@お腹いっぱい。:02/02/17 00:36
>>21
http://www.allbizb.com/

23 :名無しさん@お腹いっぱい。:02/02/17 00:43
>>22
重いから没

24 :名無しさん@お腹いっぱい。:02/03/08 17:00
http://www.tips.co.jp/products/soft/srvsoft.html
これつかえ

25 :店長:02/03/18 13:08
ここの書店にはいって、「激動の変革期を生きる」のコーナーに入ります。
そこには「レンタルサーバーを始めよう」という本が並べてあります。
この本1冊で始められます。
本をクリックすると購入できます。売り切れ寸前です。

http://www.esbooks.co.jp/myshop/pikkari


26 : :02/03/18 23:27
>>25
売り切れ寸前の本を宣伝する店長って店員に馬鹿にされない?

27 :名無しさん@お腹いっぱい。:02/03/19 10:17
雑誌は返本だけど、普通の本は日光で黄色く黄ばんでも(そんなことありえんが。)
置いておくもんなのか?
たしかに在庫の山をさばく。かわいそうだ。馬鹿を通り越して可哀想だと思う。
でも、だれか買ってあげたら?
日本経済の発展を祈って(w


28 :名無しさん@お腹いっぱい。:02/06/19 21:31
age

29 :名無しさん@お腹いっぱい。:02/08/18 16:25
             __,,,,_
            /´      ̄`ミ,
            / 〃  _彡彡ミミミミ
         i  彡彡´    ミミミミ 
          |  彡.   -‐   '''ー {ミミ!
          |   |   =・=  く(・= |   
           ヤヽリ ´゚  ,r(、_>、 ゚'}   
         彡_」     ,彡彡ミミ!  
         彡 i、   ` `二´' 丿 
              r|、` '' ー--‐f.´     
         _/ | \    /|\_.   
       / ̄/  | /`又´\|  |  ̄\


30 :名無しさん@お腹いっぱい。:02/08/28 13:00
>>7

みなさん、ActivePerlはこれからは

   サ ー バ ー 用 ソ フ ト     になりました。


あげ

31 :名無しさん@お腹いっぱい。:02/08/28 13:34
>>30
間違っていないようにも読めるが。

32 :名無しさん@お腹いっぱい。:02/09/23 17:42
localhost

33 :名無しさん@お腹いっぱい。:02/09/23 20:54
>>30
サーバー用なら合ってるじゃん?

34 :名無しさん@お腹いっぱい。:02/09/24 01:13
大学へ粋な

35 :TKCity User:02/09/24 02:20
夜逃げはするな。

36 :名無しさん@お腹いっぱい。:02/11/20 01:40
管理者になれたの?

37 :名無しさん@お腹いっぱい。:02/11/20 03:09
っていうか、
鯖ではなくサーバーでもなくサーバ。






                             だといってみるテスト

38 :名無しさん@お腹いっぱい。:02/11/20 16:55
serverだ。

39 :名無しさん@お腹いっぱい。:02/11/21 19:33
サーバー管理者になったら鯖缶って言われるぞ〜

40 :名無しさん@お腹いっぱい。:02/11/21 20:20
犯罪者増加を防ぐため下記のサイトにて「YES」に投票してください。
今、児童を守るための児童ポルノが廃止にされようとしております。
http://www.vote.co.jp/vote/29335513/discussion.phtml?cat=29036952

41 :名無しさん@お腹いっぱい。:02/11/22 00:18
>>40
スレ違いの書きこみでそんなことかいても
信用失うだけだよ











          といってみるテスト

42 :名無しさん@お腹いっぱい。:02/12/06 06:40
>>39
ここで褒め言葉一発で「鯖缶」っていってもらえるぞ
どっかのスレで鯖を褒めてみろ

「鯖缶必死だな」となるはず

43 :名無しさん@お腹いっぱい。:02/12/13 11:11
必死だな

44 :名無しさん@お腹いっぱい。:02/12/13 11:12
サーヴァーが正しいんだぜ

By ほむぅん

45 :名無しさん@お腹いっぱい。:02/12/14 20:25
25歳。
去年まで金無し君だったけど、オンラインカジノとパチンコで
二年で350万貯めた。一度やってみなよ。
初回のみだけど、1ドル以上のチップを買えば30ドル(4000円くらい)貰える。
もらうだけもらってプレイせずに換金することもできるし、ルーレットで赤か黒に
思い切って賭けてしまえば50パーセントで二倍になる。
金なきゃオフラインでゲームすればいいだけ。暇つぶしになる。
ビデオポーカーとかスロとか色々あるのでマジでお勧め。
http://www.imperialcasino.com/~1kl5/japanese/

46 :名無しさん@お腹いっぱい。:02/12/14 23:10

http://Jumper.jp/dgi/

    朝までから騒ぎ!
       
  今回HP新装OPUNしました!
  断然使いやすくしています!
  PC/i/j/ez/対応にしました
  アンケ−ト、ランキング集など
  高機能なシステムに大変身
  メル友、コギャル、ブルセラ
  大人の恋愛、熟女、ぽっちゃり
  出会いサイトの決定版です
  今後高機能続々導入します


47 :名無しさん@お腹いっぱい。:02/12/14 23:47


48 :山崎渉:03/01/15 20:20
(^^)

49 :山崎渉:03/03/13 18:28
(^^)

50 :山崎渉:03/04/17 12:26
(^^)

51 :山崎渉:03/04/20 06:26
   ∧_∧
  (  ^^ )< ぬるぽ(^^)

52 :名無しさん@お腹いっぱい。:03/05/20 02:43
あなたもサーバー管理者になれます

専用サーバ激安サービス IT保険付き+トレンドマイクロインタースキャン付き
株式会社アイアイティーヴィー「AREA CUBE」

AREA CUBE for Linux Singleは、Linux Redhat7.2が実装された
サーバを「ケーブル・アンド・ワイヤレスIDC」の東京国際通信
センターに設置。強力なインターネットバックボーンに高速100M
bpsにて直接LAN接続。幅広いユーザに対応できる快適なWeb環境
を実現すると共に、信頼性、安全性の高いサーバ運用が低コスト
にて実現します。

http://www.areacube.jp/

月額¥29,800〜

53 :名無しさん@お腹いっぱい:03/05/20 08:04
俺もサーバー管理者になりたいのだが、何から手をつけて
 いいのか分からん?
誰か、おしえてぇ〜

54 :名無しさん@お腹いっぱい。:03/05/20 12:38
「2chは5,6人以上逮捕された犯罪者が居るので
2chは全員、犯罪者だと思っていいと思います。
私の友達と私が被害を受けたのは本当の事実なので。」
(HPより抜粋)

http://members.tripod.co.jp/nichkirai/index.htm
この2ちゃんねるを罵倒しているサイトである
2003年5月21日午前0時を以て
攻撃開始。
他のスレッド・板にコピペしてくれ。

これは我々2chねらーに対する挑戦であり
善良な2chねらーを巻き込ませようとしている悪の芽を摘むことを決定した
間引きをすることにより、2chの秩序を保つのだ

55 :名無しさん@お腹いっぱい。:03/05/20 14:19
てか悪いオタクってごく一部だと思うんだが・・w
それに、「荒らしやめてください」って言ってやめるアホいねーだろw
そもそも、ちゃんと管理していたりマトモなサイトなら荒らされることはまずない。
ウザイ在宅ビジネスの宣伝はよくカキコしていくけど。

56 :山崎渉:03/05/22 01:57
━―━―━―━―━―━―━―━―━[JR山崎駅(^^)]━―━―━―━―━―━―━―━―━―

57 :山崎渉:03/05/28 17:26
     ∧_∧
ピュ.ー (  ^^ ) <これからも僕を応援して下さいね(^^)。
  =〔~∪ ̄ ̄〕
  = ◎――◎                      山崎渉

58 :山崎 渉:03/07/15 11:33

 __∧_∧_
 |(  ^^ )| <寝るぽ(^^)
 |\⌒⌒⌒\
 \ |⌒⌒⌒~|         山崎渉
   ~ ̄ ̄ ̄ ̄

59 :名無しさん@お腹いっぱい。:03/07/19 17:18
*********************************************************
>>457 と最近サーバ契約した管理者に必要な設定を教えよう
*********************************************************


60 :名無しさん@お腹いっぱい。:03/07/19 17:30
>>457
まず
BIND
apache
sendmail
OpenSSH
xinetd
kernel
以上をアップデートしてみよう


61 :名無しさん@お腹いっぱい。:03/07/19 17:35
さくらって今WEBMINが標準搭載なんだね
これ使えば比較的早く設定が出来るよ。

http://与えられたIPアドレス:10000

62 :名無しさん@お腹いっぱい。:03/07/19 17:37
野次馬も移動完了

63 :名無しさん@お腹いっぱい。:03/07/19 17:41
野次馬2も移動しますた

64 :名無しさん@お腹いっぱい。:03/07/19 18:10
稀にみる良スレの悪寒
457ガンガレ!

65 : ◆WBRXcNtpf. :03/07/19 18:26
騙り防止にトリップ使用推奨。
名前の欄に#で始まる任意も文字列を入れると出る。
#12345678


66 :492 ◆v2fsmO33CY :03/07/19 22:13
私もここに移動しました。

あと、このスレを誘導されずに来た方へのインフォメーション


 ☆このスレの59からは、
   さくらインターネット、専用サーバースレ Part2
    http://pc2.2ch.net/test/read.cgi/hosting/1043710503/l50
  の457氏がサーバーを使えるようになるため、必要な設定を教えよう!
  ついでに便乗で勉強させてもらいます。というレスの流れを
  別スレ誘導したものです。


 煽りは無視でいきましょう!


67 :名無しさん@お腹いっぱい。:03/07/19 23:27
先生まだ(・ε・)?

68 :学級委員:03/07/19 23:53
生徒は全員出席してますか

69 :名無しさん@お腹いっぱい。:03/07/20 00:28
へ?中古屋逝って鯖買ってきてセットアップすれば鯖缶じゃねーの?

70 :名無しさん@お腹いっぱい。:03/07/20 03:37
今日は自習か、、。

71 :学級委員:03/07/20 22:59
先生…

72 :492 ◆v2fsmO33CY :03/07/21 00:36
457氏がまだ来てないようなので、自習してます。
>>60を参考に・・・まずはBINDのアップデート。
まずバージョン確認
  rpm -q bind で bind-9.2.1-16
http://www.isc.org/products/BIND/を見ると最新バージョンは
BIND Version 9.2.2 (Released March 3rd, 2003)  なので
 ftp://ftp.isc.org/isc/bind9/9.2.2/bind-9.2.2.tar.gzを
ダウンロードするために、
 ftp ftp.isc.org
ユーザー名 anonymous パスワードは メールアドレスを入れてログオン。
ディレクトリも潜っていって 
ftp> get bind-9.2.2.tar.gz でダウンロード
ftp> exit でftp終了
suでrootになって、
cp bind-9.2.2.tar.gz /usr/src
cd /usr/src        でディレクトリ移動
gzip -d bind-9.2.2.tar.gz でファイル解凍
tar xvf bind-9.2.2.tar でファイル展開、bind-9.2.2ディレクトリができる。
cd bind-9.2.2 でディレクトリ移動

・・・しつもん!(挙手!)このあとは、
  ./configure
  make
  make install
でいいんでしょうか?コンパイル。インストールってあまりしたことないので不安です。


73 :名無しさん@お腹いっぱい。:03/07/22 18:48
>>492
BIND
apache
sendmail
OpenSSH
xinetd
kernel
全部でインストールすればよし

74 :名無しさん@お腹いっぱい。:03/07/22 18:58
>492
赤帽のバージョンは?

75 :名無しさん@お腹いっぱい。:03/07/22 19:15
http://492のIPアドレス:10000
まずログイン(最初はroot)
[Webmin]

[Webminユーザ ]

[root]

[ユーザ名]ユーザ名を変更する

[保存]

[Webmin設定]

[ポートとアドレス]

IP アドレスとポート
リッスン対象のポート
10000を10001とか10021とかに変更
[保存]


76 :名無しさん@お腹いっぱい。:03/07/22 19:17
[Webmin のアップグレード]

◎www.webmin.com からの最新バージョン

[Webmin のアップグレード]


77 :名無しさん@お腹いっぱい。:03/07/22 19:19
[SSL 暗号化 ]

[Create SSL key]
Server name in URL
○Any hostname ◎492のIPアドレス

78 :名無しさん@お腹いっぱい。:03/07/22 19:21
[[システム]]

[ソフトウェア パッケージ]

[新規のパッケージをインストール]
◎FTP またはhttp URL から
apache
ftp://updates.redhat.com/7.3/en/os/i386/apache-1.3.27-2.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/apache-devel-1.3.27-2.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/apache-manual-1.3.27-2.i386.rpm
sendmail
ftp://updates.redhat.com/7.3/en/os/i386/sendmail-8.11.6-25.73.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/sendmail-cf-8.11.6-25.73.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/sendmail-devel-8.11.6-25.73.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/sendmail-doc-8.11.6-25.73.i386.rpm
OpenSSH
ftp://updates.redhat.com/7.3/en/os/i386/openssh-3.1p1-6.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/openssh-askpass-3.1p1-6.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/openssh-askpass-gnome-3.1p1-6.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/openssh-clients-3.1p1-6.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/openssh-server-3.1p1-6.i386.rpm
xinetd
ftp://updates.redhat.com/7.3/en/os/i386/xinetd-2.3.11-1.7x.i386.rpm

79 :名無しさん@お腹いっぱい。:03/07/22 19:27
[[その他]]

[ファイル マネージャ]

etc/sysconfig/ipchains

編集(空けておくポートを指定)

SSHでログイン
スーパーユーザで
/etc/rc.d/init.d/ipchains restart


80 :75から79:03/07/22 19:29
こんにちは!
上の設定をwebminを使ってやってみました。
他には何をすればよいですか

81 :名無しさん@お腹いっぱい。:03/07/22 19:31
>>80
>他には何をすればよいですか

あなたのIPアドレスを書いてください。

82 :名無しさん@お腹いっぱい。:03/07/22 19:33
>>492
あのね、make install でインストールしたらrpmでのバージョン確認は使えなくなるよ。

83 :名無しさん@お腹いっぱい。:03/07/22 19:35
>>80
webminはIPアドレス:10000でアクセスできるからアクセスポートの番号を必ず変えておくこと。

84 :名無しさん@お腹いっぱい。:03/07/22 19:38
>>80
もう何もしなくて良いよ
あとはサーバが自分で進化してくれます。

85 :023:03/07/22 19:42
>>492 とその他管理者の卵達

君達がのんびりやってる間にも
いろいろな所からアクセスされてるんだよ

毎日ログはチェックしてる貝?
見方は分かる会?
ポートは塞いでいる改?

とっととWebminインストールして、穴だけ塞ぎなさい。
SSH
popもFTPもTELNETもまだ空けなくてよし

86 :名無しさん@お腹いっぱい。:03/07/22 19:43
>>80
up2date -u
rpmパッケージのアップデートはこれでやれば依存性の解決まで自動的にやってくれる。
オプション指定しなければヘルプが出るからやってみ。

87 :023:03/07/22 19:43
訂正
Webminはもう入ってるんだよな

88 :_:03/07/22 19:44
http://homepage.mac.com/hiroyuki44/jaz04.html

89 :名無しさん@お腹いっぱい。:03/07/22 19:46
>>84の言ってることが正しい。
最近のPCはある程度設定したら自分で進化します。


























(w

90 :名無しさん@お腹いっぱい。:03/07/23 10:58
それで457はどこにいったんだよ

91 :492 ◆v2fsmO33CY :03/07/23 11:44
みなさんレスどうもです。
>>73
そうですね ひとつひとつ設定していこうかと思います。
>>74
バージョンは9.0です。
>>75-79 >>80
・同じようにしようかと思いましたが、なぜかrootでWebminにログインできませんでした。
・Webminのポートは10000から別のものに変更しました。
https://自分のIPアドレス:ポート/webmin/edit_upgrade.cgiから
  Webminをアップデート・・・すごい!簡単!
・[Create SSL key] Server name in URLに私のIPアドレスをいれて◎チェック
 そしてメールアドレス入れてcreate now のボタンを押す
  >Generate Key が表示された。miniserv.pemに保存されているのを確認、OK。
・新規のパッケージをインストール
  # rpm -q bind   > bind-9.2.1-16
    http://www.isc.org/products/BIND/から
    最新、BIND 9.2.2 をダウンロード・解凍したけど
    rpmファイルではなく、何十ものファイルが展開されたのですが・・
  # rpm -q apache  > package apache is not installed
    rpmパッケージでインストールされていないってこと?
    現在のバージョンはどうやって確認したらいいんだろう・・・
    最新版はhttp://www.apache.jp/にあるのは分かったのだけど。
  # rpm -q sendmail > sendmail-8.12.8-5.90
    だったのでhttp://www.sendmail.org/からsendmail.8.12.9.tar.gzを
    落として解凍したけどrpmファイルがない・・
  # rpm -q openssh  > openssh-3.5p1-6
    http://www.openssh.com/ja/からopenssh-3.6p1.tar.gzをダウンロード
     ・・でもrpmファイルがない
  # rpm -q xinetd  > xinetd-2.3.11-1.9.0
    http://www.xinetd.org/で見たら最新が2.3.11 だったのでこのままでOK

92 :492 ◆v2fsmO33CY :03/07/23 12:47
・kernel   /bootのvmlinux-2.4.20-8 
   http://www.kernel.org/でみると最新安定版は2.4.21。
   カーネルのアップデートというとなんか素人にできないようなイメージが
   あるので今は保留かな。
・ipchains ・・・ファイルが見つからない。かわりにiptablesを利用・・でいいんですよね。
  # rpm -q iptables > iptables-1.2.7a-2
>>82でmake installでインストールするとrpmでのバージョン確認が
 できなくなるとあるのですが、常に最新バージョンに保つには
 make installでインストールしないとならないのかな?
 それともrpmで提供されるのを待った方がいいのか・・・悩む。
>>85
> 毎日ログはチェックしてる貝?
> 見方は分かる会?
確認するログは、 /home/logs/access_log でいいんですよね。
IPアドレスが記載されていて、GET /default.ida?XXXXXXXXXXXX・・・・てのが
いっぱいありますが、これってCode Red?何か対策しないと問題ですよね?
また、GET http://www.yahoo.com/ HTTP/1.1" 200 13
   HEAD / HTTP/1.0" 200 -
   GET /sumthin HTTP/1.0" 404 1047
   GET /scripts/..%c1%1c../winnt/system32/cmd.exe?/c+dir HTTP/1.0" 404 1041
   CONNECT 1.3.3.7:1337 HTTP/1.0" 405 975
   GET /MSADC/root.exe?/c+dir HTTP/1.0" 404 1041
   GET /c/winnt/system32/cmd.exe?/c+dir HTTP/1.0" 404 1041
   CONNECT mail.flashmail.com:25 HTTP/1.0" 405 986
   POST http://67.109.109.xx:25/ HTTP/1.1" 200 13
  こんなのがいくつかあります。何でしょうか?(Nortonが反応したので一部伏せ字に)
> ポートは塞いでいる改?
ポートを塞ぐというのが、どこをどうすればいいのか、よく分からないんです。
Windowsだったら、NortonInternetSecurityなどをいれればすんでいたので
あまり考えることなかったのです。
iptablesをつかえばいいんですよね。設定方法は・・調べてみます。

93 :ドレッドハット:03/07/23 17:08
>Apache Webサーバ

Webminで[[サーバ]]→[Apache Webサーバ ]を栗すると
右上にバージョン表示されて内科医?

ftp://updates.redhat.com/9/en/os/i386/httpd-2.0.40-21.3.i386.rpm
ftp://updates.redhat.com/9/en/os/i386/httpd-devel-2.0.40-21.3.i386.rpm
ftp://updates.redhat.com/9/en/os/i386/httpd-manual-2.0.40-21.3.i386.rpm
ftp://updates.redhat.com/9/en/os/i386/mod_ssl-2.0.40-21.3.i386.rpm

Webminでアップデートできるよ


94 :名無しさん@お腹いっぱい。:03/07/23 17:16
上部民で
(ネットワーク)

SSL Tunnels

君のアクセス先を登録

95 :名無しさん@お腹いっぱい。:03/07/23 17:19
上部民で
(ネットワーク)

Extended Internet Services (Xinetd)

ここで使用サービスの選択


96 :名無しさん@お腹いっぱい。:03/07/23 19:49
up2dateでのアップデートはErrataでRPMが公開されるより早い。
tar.gzのファイルにはRPMは入ってない。
make installでインストールするとRPMでのバージョン管理はできなくなる。
個別に書いてたらきりがないのでZDNETのLinuxTipsを見よ。
http://www.zdnet.co.jp/help/tips/linux/index.html

97 :名無しさん@お腹いっぱい。:03/07/23 22:13
FreeBSDユーザーはいないのか?

98 :名無しさん@お腹いっぱい。:03/07/24 00:09
FreeBSDだとCryptがMD5だから、トリップが2ch互換じゃなくなって嫌だ

99 :名無しさん@お腹いっぱい。:03/07/24 00:10
なるほどw

100 :492 ◆v2fsmO33CY :03/07/24 23:35
>>91-92は、RedhatPRESSの本を買ってきたので読んで研究。

>>93
> Webminで[[サーバ]]→[Apache Webサーバ ]を栗すると
> 右上にバージョン表示されて内科医?
[サーバ]→[Apache Webserver]では
「 既知モジュールの再設定 」と「Apache Webserver に設定可能なオプション」
が表示されるだけです。
また最新版ではなかった、というかインストールされてなかったみたい。
> ftp://updates.redhat.com/9/en/os/i386/httpd-devel-2.0.40-21.3.i386.rpm を
 # rpm -Uvh httpd-devel-2.0.40-21.3.i386.rpmしたら

> warning: httpd-devel-2.0.40-21.3.i386.rpm: V3 DSA signature: NOKEY, key ID db42a60e
> error: Failed dependencies:
> libtool is needed by httpd-devel-2.0.40-21.3

ってでてしまいました。なんで?

>>94 >>95 すみません。設定する内容がよく分かりません。調べてみます。


101 :492 ◆v2fsmO33CY :03/07/24 23:36

>>96
Webminからup2dateすると
>  コマンド up2date -u を使って、Redhat Network からアップデートされた
>  パッケージをチェックしています..
>
>   Your GPG keyring does not contain the Red Hat, Inc. public key.
>   Without it, you will be unable to verify that packages Update Agent downloads
>   are securely signed by Red Hat.
>
>   Your Update Agent options specify that you want to use GPG.
>
>   To install the key, run the following as root:
>
>   rpm --import /usr/share/rhn/RPM-GPG-KEY
>
>   .. アップデートされたパッケージはありません。
とのこと。GPGの設定しないとだめなのかな。調べてみます。

なかなか設定することが多くて大変ですね。
でも、コマンドの使い方を少しずつ覚えてきた。
  ・・・ただし、まだ先が見えず(^^ゞ いつになったらWebを公開できるかな?




102 :傍観者:03/07/25 01:16
iptablesの設定、慣れてないのならば、手元に実験環境を作ってそこで試してからの方がいいよ。
とんでもない勘違いとかやっちゃうと、有償コンソール作業を依頼する羽目になるのですよ。

>>100
理由ちゃんと出てるよ。
> error: Failed dependencies:
> libtool is needed by httpd-devel-2.0.40-21.3
依存関係のエラー、httpd-devel-2.0.40-21.3パッケージはlibtoolが必要って事で。

赤帽社のGPG鍵登録しておくと、赤帽配布のRPMパッケージで
rpm --chechsig
とかできるようになるから、やっておくのが吉。
http://www.redhat.com/solutions/security/news/publickey.html#key
日本語のドキュメントもあったと思う。

103 :名無しさん@お腹いっぱい。:03/07/25 19:20
【memo】
Red Hat Network
http://www.jp.redhat.com/manual/RHN/intro.html

GPG鍵登録
http://www.jp.redhat.com/manual/RHN/text-up2date.html



104 :名無しさん@お腹いっぱい。:03/07/25 20:42
リモートコンソールからのRHN登録は
#/usr/sbin/rhn_register
と入力すると登録画面が立ち上がるので画面に従って登録する。
同時にGPG鍵も自動的に登録される。
登録後はup2dateコマンドが使用可能になる。
但しこの登録で使用できるのはデモアカウントでダウンロード速度には
帯域制限がかけられている。
正式なユーザーになるにはデモアカウント登録後に
http://rhn.redhat.com/でBuyNowをクリックしてサポート権を購入する。

105 :492 ◆v2fsmO33CY :03/07/26 00:55
RHN登録しようとして
 # rpm --import /usr/share/rhn/RPM-GPG-KEY した後、
 # /usr/sbin/rhn_registerしたら、登録画面が
以下みたいに文字化けしてしまった。前にFDcloneに日本語を表示させようとして
(TeraTermの端末設定で漢字送受信をEUCにして)
どこかのファイルの LANG=** を変更したけど、それが原因か?どこだったか・・


>Red Hat Network Registration (c) 2000-2001 Red Hat, Inc.

> 矜
> 矜 Now for the first time ever, information, updates, and services #
> 矜 that enhance the security and reliability of your Red Hat Linux 矜
> 碵ystems are available to you in one place-- Red Hat Network. 矜
> 眞heck out these benefits: 矜
> 矜
> 矜
>                 ・
>                 ・
>                 ・

でも、Usernameなどは、何とか入力してFinishまでできた。

106 :492 ◆v2fsmO33CY :03/07/26 00:56
さて、
 # up2date -u
 
 Fetching package list for channel: redhat-linux-i386-9...
 ########################################
 
 Fetching Obsoletes list for channel: redhat-linux-i386-9...
 ########################################
 
 Fetching rpm headers...
 ########################################
 
 Testing package set / solving RPM inter-dependencies...
 ########################################
 lv-4.49.4-9.9.1.i386.rpm: ########################## Done.
 mutt-1.4.1-1.i386.rpm: ########################## Done.
 nfs-utils-1.0.1-3.9.i386.rp ########################## Done.
 php-4.2.2-17.2.i386.rpm: ########################## Done.
 php-imap-4.2.2-17.2.i386.rp ########################## Done.
 php-ldap-4.2.2-17.2.i386.rp ########################## Done.
 redhat-config-date-1.5.15-1 ########################## Done.
 gettext-0.11.4-7.i386.rpm: ########################## Done.
 libgcj-3.2.2-5.i386.rpm: ########################## Done.
 Preparing ########################################### [100%]


107 :492 ◆v2fsmO33CY :03/07/26 00:57
 
 Installing...
  1:php ########################################### [100%]
  2:libgcj ########################################### [100%]
  3:gettext ########################################### [100%]
  4:lv ########################################### [100%]
  5:mutt ########################################### [100%]
  6:nfs-utils ########################################### [100%]
  7:php-imap ########################################### [100%]
  8:php-ldap ########################################### [100%]
  9:redhat-config-date ########################################### [100%]
 The following Packages were marked to be skipped by your configuration:
 
 Name Version Rel Reason
 -------------------------------------------------------------------------------
 kernel 2.4.20 19.9 Pkg name/pattern
 kernel-source 2.4.20 19.9 Pkg name/pattern
 
 The following packages were added to your selection to satisfy dependencies:
 
 Name Version Release
 --------------------------------------------------------------
 gettext 0.11.4 7
 libgcj 3.2.2 5
 
やった!できた!
これでGPG鍵の登録もOK・・かな?


108 :492 ◆v2fsmO33CY :03/07/26 00:57

続いてRed Hat Networkの正式なユーザーになるためにBuyNowで
 Basic Service Entitlementsをクレジットカードで購入
あとlibtool-1.5をftpサーバから落として解凍
 # ./configure
 # make
 # make install
インストール後、以下で確認
 # libtool --version
 ltmain.sh (GNU libtool) 1.5 (1.1220 2003/04/05 19:32:58)

Copyright (C) 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
これでいいのかな?
では
 # rpm -Uvh httpd-devel-2.0.40-21.3.i386.rpm
 error: Failed dependencies:
  libtool is needed by httpd-devel-2.0.40-21.3
あれっ????




109 :傍観者:03/07/26 11:56
>>108
RPMパッケージでインストールしないと、RPMの依存性の解決も82が言ってるようにバージョンの確認もできないのです。
その辺が厄介だから、極力RPMでパッケージ管理するか、RPMに頼らず極力sourceからのインストールにするか、
決めた方がいいかも。 中途半端だと、かえって管理大変になると私は思うよ。
この場合の選択肢は以下の通り。
・libtool をRPMでインストール
http://ftp.redhat.com/pub/redhat/linux/9/en/os/i386/RedHat/RPMS/libtool-1.4.3-5.i386.rpm
・RPMのhttpd(Apache)を窓から投げ捨てて、sourceからインストール
・あわてふためいて、通行人に殴りかかる
さぁ、どうする。

110 :名無しさん@お腹いっぱい。:03/07/26 12:45
>>108
Redhat9でのインストールは知らんのでわからんが、make installで入れた
libtoolのバージョンがRPMパッケージのhttpd-devel-2.0.40-21.3で
必要とされているバージョンとマッチしてないってことじゃないかな。
http://www.atmarkit.co.jp/flinux/rensai/linuxtips/329rpmconf.html

現時点でインストールされているlibtoolのRPMパッケージの
バージョンを確認して、もしRPMで入っていなければ(入っていないはずはないが)
RPMでインストールする。(1.4.2-9?)
その後でApacheをインストールすれば大丈夫だと思う。
ダメなら初期インストールからやり直す。
次からはmake installはいっさい使わないようにすること。
どうしても最新のバージョンを入れたい場合はtarballで落としてきたものを
用意しておいて自分でRPMを作成してインストールする。
RPMを自分で作成する方法はGoogleで調べればあちこちで紹介されている。
http://www.zdnet.co.jp/help/tips/linux/l0601.html

最初は手元に実験用のマシンを用意してDHCPでも使って動かしてみれば十分。
up2dateは一度登録されるとOS再インストール時はマシンのプロファイルを
いったん削除しないと使えなくなるから注意が必要。

111 :名無しさん@お腹いっぱい。:03/07/27 21:28
あのさ、特定のOSに依存した話ならLinux板とかでやってくんない?
サーバ管理の初歩の初歩から一般的な話をしてよ。

112 :名無しさん@お腹いっぱい。:03/07/27 22:59
>>111
御自由にその話をしてくださいな

113 :492 ◆v2fsmO33CY :03/07/28 00:05
あやうく、あわてふためいて通行人に殴りかかるところでしたが、
>>110を見て思いとどまりました(藁
なんとかなるかな?インストールはrpmだけにしよう!

足りないrpmパッケージは
ftp.redhat.com/pub/redhat/linux/9/en/os/i386/RedHat/RPMS/
からダウンロードすれば良いとやっと気づきました。<遅すぎ!
最新バージョンではないけど、とりあえずやってみます。

# rpm -q libtool
package libtool is not installed
だったので、
# rpm -Uvh libtool-1.4.3-5.i386.rpm
error: Failed dependencies:
autoconf is needed by libtool-1.4.3-5
automake >= 1.4p1 is needed by libtool-1.4.3-5
ならば、autoconfとautomakeをダウンロードして
インストールしようと思い上記のftpサイトをみたら、

autoconf-2.57-3.noarch.rpm
autoconf213-2.13-6.noarch.rpm

automake-1.6.3-5.noarch.rpm
automake14-1.4p6-5.1.noarch.rpm
automake15-1.5-6.noarch.rpm

なんでいくつもあるんだろう?調べてみます。
今日のレンタル鯖の設定はここまで。

・・・えぇーと、自習はlinux板でやった方がいいですか?

114 :名無しさん@お腹いっぱい。:03/07/28 00:27
特定のOSに依存してたって、サーバ管理のケーススタディなんだからいいと思うけどな。

115 :名無しさん@お腹いっぱい。:03/07/28 01:01
>>113
Linux板でこんな初歩的な話してたら追い出されるって。

不足しているパッケージと依存性の問題がわかったなら
依存性の解決に必要なパッケージをすべてダウンロードして
インストールすればよろし。
すべてダウンロードしたらrpm -Fvh autoconf* automake* httpd-* で
全部いっぺんに入れればインストールできるはず。


116 :名無しさん@お腹いっぱい。:03/07/28 01:27
rpm -Fvh autoconf* automake* httpd-* libtool-1.4.3-5.i386.rpm
だった。

117 :名無しさん@お腹いっぱい。:03/07/28 12:14
>>111
66の書き込みを読んでくれ。
このスレッドは、書き込まれること無く放置されていたから、使わせてもらっているのだ。
なので、多少というか、多大に偏ったサーバ管理の情報になってしまうだろう。
サーバ管理に対する一般的な情報がほしければ、あなたが書き込んで、盛り上げてくれ。

118 :名無しさん@お腹いっぱい。:03/07/28 12:15
ギニャー、sageミスってる……吊って氏ぬ。
先立つ不幸をお許しください。

119 :名無しさん@お腹いっぱい。:03/07/28 15:00
>>111
インストール編の次は管理実務編になるから気長に待っててください。

120 :492 ◆v2fsmO33CY :03/07/30 18:28
autoconf-2.57-3.noarch.rpm
autoconf213-2.13-6.noarch.rpm
automake-1.6.3-5.noarch.rpm
automake14-1.4p6-5.1.noarch.rpm
automake15-1.5-6.noarch.rpm
httpd-2.0.40-21.i386.rpm
httpd-devel-2.0.40-21.i386.rpm
httpd-manual-2.0.40-21.i386.rpm
をダウンロードして/tmpに保存。・・・それでは、
# rpm -Fvh autoconf* automake* httpd-* libtool-1.4.3-5.i386.rpm
・・・コマンド入力待ちになってしまう。うまくいかず?
では、
# rpm -Uvh autoconf* automake* httpd-* libtool-1.4.3-5.i386.rpm
Preparing... ########################################### [100%]
package httpd-2.0.40-21.3 (which is newer than httpd-2.0.40-21) is already installed
package httpd-manual-2.0.40-21.3 (which is newer than httpd-manual-2.0.40-21) is already installed
file /usr/include/httpd/ap_config_auto.h conflicts between attempted installs of httpd-devel-2.0.40-21 and httpd-devel-2.0.40-21.3
file /usr/include/httpd/mpm_common.h conflicts between attempted installs of httpd-devel-2.0.40-21 and httpd-devel-2.0.40-21.3

ならば、
# rpm -Uvh autoconf* automake* libtool-1.4.3-5.i386.rpm
Preparing... ########################################### [100%]
1:automake ########################################### [ 17%]
2:autoconf ########################################### [ 33%]
3:autoconf213 ########################################### [ 50%]
4:automake14 ########################################### [ 67%]
5:automake15 ########################################### [ 83%]
6:libtool ########################################### [100%]
上記のconflicts〜が気になるけど、できたと思う。。

121 :名無しさん@お腹いっぱい。:03/07/30 22:24
ちょっとアヤシイけどたぶん大丈夫だろ。
conflictsはバージョンの競合みたいだけどどうせすぐに次のバージョンが出るから
そのときにまたアップデートすればconflictsは解消されるんじゃないの。

122 :名無しさん@お腹いっぱい。:03/07/30 23:57
init 1 しとけ。

123 :名無しさん@お腹いっぱい。:03/08/01 03:47
FreeBSDの講義まだ〜?

124 :名無しさん@お腹いっぱい。:03/08/01 18:47
>>123
http://www.jp.freebsd.org/man-jp/howto.html
ここをひと通り読んでからわからないことだけ質問するように。

125 :ぼるじょあ ◆ySd1dMH5Gk :03/08/02 05:01
     ∧_∧  ∧_∧
ピュ.ー (  ・3・) (  ^^ ) <これからも僕たちを応援して下さいね(^^)。
  =〔~∪ ̄ ̄ ̄∪ ̄ ̄〕
  = ◎――――――◎                      山崎渉&ぼるじょあ

126 :492 ◆v2fsmO33CY :03/08/03 00:15
あたらしいエラータがでていたので、アップデート
 # up2date -u --nox
 Fetching package list for channel: redhat-linux-i386-9...
 ########################################
 Fetching Obsoletes list for channel: redhat-linux-i386-9...
 ########################################
 Fetching rpm headers...
 ########################################
 Testing package set / solving RPM inter-dependencies...
 ########################################
 openssh-3.5p1-6.9.i386.rpm: ########################## Done.
 openssh-clients-3.5p1-6.9.i ########################## Done.
 openssh-server-3.5p1-6.9.i3 ########################## Done.
 Preparing ########################################### [100%]
 
 Installing...
  1:openssh ########################################### [100%]
  2:openssh-clients ########################################### [100%]
  3:openssh-server ########################################### [100%]
 The following Packages were marked to be skipped by your configuration:
 
 Name Version Rel Reason
 -------------------------------------------------------------------------------
 kernel 2.4.20 19.9 Pkg name/pattern
 kernel-source 2.4.20 19.9 Pkg name/pattern
 
kernelがアップデート対象なのに、アップデートできてない?
 # uname -ra
 Linux (自分のドメイン) 2.4.20-18.9 #1 Thu May 29 07:08:16 EDT 2003 i686 i686 i386 GNU/Linux
うーん よく分からない。。明日への宿題にしよう・・

127 :名無しさん@お腹いっぱい。:03/08/03 13:53
--noxはX-Windowを使用しないというだけのことなので付けなくてもよろし。
kernelはskipフラグの対象となっているのでフラグ解除のオプションでアップデートする。
up2date -uf
kernelアップデート後は再起動すること。

128 :名無しさん@お腹いっぱい。:03/08/03 13:53
見づらいのであげとく。

129 :名無しさん@お腹いっぱい。:03/08/03 15:05
とりあえず自宅サーバでも作ってみよ

130 :名無しさん@お腹いっぱい。:03/08/03 16:45
RHN登録したアカウントは1つのマシンに対して1個ですか?

131 :130:03/08/03 18:30
スマソ、自己解決。
Demoアカウントはその都度https://rhn.redhat.com/から切り替え必要ですが、
複数のマシンプロファイルは登録出来ました。

132 :492 ◆v2fsmO33CY :03/08/03 23:07
 # up2date -uf
 Fetching package list for channel: redhat-linux-i386-9...
 ########################################
 Fetching Obsoletes list for channel: redhat-linux-i386-9...
 ########################################
 Testing package set / solving RPM inter-dependencies...
 ########################################
 kernel-2.4.20-19.9.i686.rpm ########################## Done.
 kernel-source-2.4.20-19.9.i ########################## Done.
 Preparing ########################################### [100%]
 
 Installing...
  1:kernel-source ########################################### [100%]
  2:kernel ########################################### [100%]
これでいいのかな?
 # reboot
 
 Broadcast message from root (pts/1) (Sun Aug 3 22:41:58 2003):
 
 The system is going down for reboot NOW!

再起動後、
 # uname -ra
 Linux (自分のドメイン) 2.4.20-19.9 #1 Tue Jul 15 17:18:13 EDT 2003 i686 i686 i386 GNU/Linux
 
おぉ!2.4.20-18.9から2.4.20-19.9になっている!
>>127 ありがとう できました。
>>129 明後日くらいには、自宅サーバの部品が届く予定です。そしたら作りますよ。


133 :名無しさん@お腹いっぱい。:03/08/04 12:20
>>132
よかったねぇ。
ようやくスタート地点に立てたわけだ。

134 :492 ◆v2fsmO33CY :03/08/05 19:32
安いThinkPad買って、Redhatインストールしたけど、
音が出なかったり、ハイバネーションの設定がわからなったり
いろいろすることがいっぱいです。
専用サーバの設定は、ちょっと保留。
 ・・・専用サーバで次にすることは iptables の設定で
     いいのでしょうか?


135 :名無しさん@お腹いっぱい。:03/08/06 14:25
>>134
音出しはLinux板やlinux.co.jpの初心者板を見ればいろいろ出てる。
kudzuで自動認識されなければドライバを追加インストールすればいいはず。
ってか、音なんているか??
NotePCは専用ドライバが多いからLinuxでは全機能を使うのはどうかと思うが。
ハイバネーションはapmデーモンの設定だろうけど手作業でやるのはちと面倒かも。
X-Windowの設定ツールで設定できなかったっけ。
起動時はテキストモード?グラフィックモード?

iptablesは設定しだいで自分自身もリモートアクセスできなくなることも
ありうるので十分注意する必要あり。
iptablesの前にtcpwrapperの設定を先に済ませておいた方がいいだろう。

136 :492 ◆v2fsmO33CY :03/08/08 22:59
【memo】
Redhat9.0(shrike)用の最新rpm集
 http://shrike.freshrpms.net/


137 :492 ◆v2fsmO33CY :03/08/09 05:40
>>135
サウンドはALSAの最新verをいれたら、音が出ました!
ハイバネーションは、調べてみたけど、なんだかパーティーションを
切り直さないとならないような・・・むずかしいですね。
> 起動時はテキストモード?グラフィックモード?
今はとりあえずグラフィックモードで起動しています。
 Linuxで楽しんでいる最中なのでいろいろいじくってます。
tcpwrapperは、ぐぐって調べてます。
どういう機能かは分かりましたが、一度ローカルで試した方が
いいようなので、hosts.denyとhosts.allowの書き方を
調べてみます。


なにげに up2date -u したら最新版になった。
 up2date-3.1.23.1-5.i386.rpm

138 :sage:03/08/09 07:09
便乗で先輩方にお伺いいたします。
現在専鯖を設定中なのですが、以下のデーモンは全て停止させておいてもよろしいのでしょうか?
停止した場合に問題あるかどうかお願いいます。
crond gpm httpd iptables keytable network random
rawdevices rhnsd sshd syslog vsftpd webmin xinetd

上記に記載していない項目については既に停止済みであります。
まだ、サーバー的なことは何もしていないので(設定でwebminを使っているだけ)
どれが必要なのか・・・。と言った所です。
今後の運用としては、http、メール、ftp が使える環境程度であります。
停止させていいもの、そのままでいいものを教えてくだされば幸いです。
よろしくお願いいたします。


139 :名無しさん@お腹いっぱい。:03/08/09 10:12
>>138
各サーバ屋さんで違いますので、
どこでどのコースを借りたかを
まず書いてください。

140 :名無しさん@お腹いっぱい。:03/08/09 11:21
>>138
crond--定期実行デーモン 必要 
gpm--コンソールマウスサービス 不要
httpd--WEBサーバー 必要
iptables--パケットフィルタ 必要
keytable--日本語キーボードに対応させるためのもの 必要
network--ネットワークが動いてないとリモート操作もできない 必要
random --乱数発生デーモンが動いてないとパスワードが作れない 必要
rawdevices--HDDへのRAWモードのアクセスを提供 不要
rhnsd--RedhatNetworkとの通信 止めておくとRedhatNetworkにWEBログインしたときステータスが?になる
sshd--リモートからのコンソールログイン 必要
syslog--システムログ作成 必要
vsftpd--Redhat8から採用されたFTPサーバ 必要 (一緒に入っているwu-ftpを使用するのであれば不要)
webmin--使わなければ止めておくべき
xinetd --インターネットスーパーサーバー 必要

メールを使うのであればsendmailを起動しておかなければならない。
受信するにはPOPサーバーも用意しなければならない。
qmailが入っているのであればqmailを起動しておく。

141 :名無しさん@お腹いっぱい。:03/08/09 11:27
>>137
hosts.denyは通常は
ALL:ALL
にしておく。
アクセスを許可するものだけをhosts.allowに列記する。
例えば 
sshd: .otemachi.ocn.ne.jp 
といった感じ。

142 :名無しさん@お腹いっぱい。:03/08/09 11:36
ここは背筋が寒くなるスレですね。

143 :138:03/08/09 20:57
>>139さん>>140さん
どうもありがとうございました。ご指示の通り設定してみました。
急にサーバーを立ち上げる事になりましたので、調べればわかることかもしれませんが
デーモンを停止する作業までを行いました。
あとは専属が来るまで一安心できますかね。

ご協力どうもありがとうございました。
ちなみにサーバーはさくらのクラシックです。


144 :名無しさん@お腹いっぱい。:03/08/09 22:02
サーバ管理者になりたいんですけどまず何からはじめたらいいですか?

145 :名無しさん@お腹いっぱい。:03/08/09 22:11
>>144
書店に行く。月刊LinuxWorld 2003年09月号を買う。
最初から最後まで読む。
余ってるPCに付録のDVD−ROMを入れてインストールする。
あとは本に書かれているとおりにすればいい。
ttp://www.idg.co.jp/lw/index.html
オンラインでも買えるよ。
9月号は3つもディストリ入ってるから好きなやつ選べる。
Red Hat Linux 9 Publisher's Edition
Vine Linux 2.6r1
Plamo Linux 3.1
一通り勉強してから専鯖をレンタルすればすぐに使えるようになる。

146 :山崎 渉:03/08/15 22:59
    (⌒V⌒)
   │ ^ ^ │<これからも僕を応援して下さいね(^^)。
  ⊂|    |つ
   (_)(_)                      山崎パン

147 :名無しさん@お腹いっぱい。:03/08/18 13:23
age

52 KB
■ このスレッドは過去ログ倉庫に格納されています

★スマホ版★ 掲示板に戻る 全部 前100 次100 最新50

read.cgi ver 05.04.00 2017/10/04 Walang Kapalit ★
FOX ★ DSO(Dynamic Shared Object)